Subject: Re: bug#58123: [PATCH] gnu: services: docker: Add docker-container-service-type

From: Ludovic Courtès <[email-masked]>
Date: Thu, 13 Oct 2022 15:05:31 +0200

Hello,

Mája Tomášek <[email-masked]> skribis:

>> I would have two more asks:
>>
>>   1. Could you update doc/guix.texi to document the new service?  You
>>      can mostly use ‘generate-documentation’ to produce the reference of
>>      the configuration record, and then add a paragraph giving some
>>      context and a documented example.
>
> Is that a command from make? I'm sorry I have never used it, I can
> update it if I can generate it :)

‘generate-documentation’ is a procedure in (gnu services configuration):

  https://guix.gnu.org/manual/devel/en/html_node/Complex-Configurations.html#index-generate_002ddocumentation

>>   2. Could you add a test under (gnu tests *)?  That would ensure the
>>      service does not bitrot going forward.
>
> I'm not exactly sure what would that mean. Test that creates a container
> and then runs it or...?

I guess the test would start the Shepherd service, ensure it’s running,
and attempt to talk to the running container one way or another.

Does that make sense?

Thanks,
Ludo’.